![master branch](https://prj.zxalexis.ru/gitea/zx/bforce/actions/workflows/debpkg.yaml/badge.svg?branch=master)
![master branch](https://prj.zxalexis.ru/gitea/zx/bforce/actions/workflows/arch.yaml/badge.svg?branch=master)
![master branch](https://prj.zxalexis.ru/gitea/zx/bforce/actions/workflows/alt.yaml/badge.svg?branch=master)

BinkleyForce FTN mailer
-----------------------

BinkleyForce is a simple ifcico like FTN mailer. It can work via
TCP/IP as well as on modem links. Look sample configs for more
information.

Supported Features
------------------

	- PSTN dial-out with EMSI-II/EMSI/YooHoo handshake
	- PSTN protocols: Hydra, ZedZap, ZModem
	- PSTN dial-in through mgetty
	- TCP/IP dial-out through IPv4 and IPv6 networks
	- TCP/IP protocols - ifcico / BinkP 1.1
	- TCP/IP dial-in through xinetd/inetd
	- Daemon mode for outbound queue managing
	
	Linux 2.4.11+, FreeBSD (6+ AFAIR) compatible.
	
Licence
-------

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version. See the COPYING file for further information.

Known Bugs
----------
    - BinkleyForce has no support (yet) for multiple INA: addresses
    - Can not rotate hidden lines
    - Can not rotate supported IP protocols in case of failure

Bug Reports
-----------

    E-Mail  : zx@zxalexis.ru
    FidoNet : Alexey Khromov, 2:5030/723

New Versions
------------

    https://prj.zxalexis.ru/gitea/zx/bforce

SAST Tools
----------
[PVS-Studio](https://pvs-studio.com/pvs-studio/?utm_source=website&utm_medium=github&utm_campaign=open_source) - static analyzer for C, C++, C#, and Java code.

Older Sources
-------------
    https://github.com/zotrix/binkleyforce/
    https://sourceforge.net/projects/binkforce/

Copyright <br>
> (c) 1998-2000 Alexander Belkin, Moscow, Russia.<br>
> (c) 2004-2007 Evgeniy Kozhuhovskiy 2:450/256, 2:450/267<br>
> (c) 2005      Andrey Slusar<br>
> (c) 2006-2016 Max N. Boyarov<br>
> (c) 2007-2008 Sergey Babitch<br>
> (c) 2011-2014 Sergey Dorofeev<br>
> (c) 2014      Alexander Skovpen<br>
> (c) 2024-2025 Alexey Khromov<br>
